# this code opens the file 'q3_country_dewey_yr.csv' generated by mysql query 
# for MAT295 project one; for each different dewey bin, it calculates the year
# with the max number of checkouts in that bin for each country, and writes
# the value of couts in that year to a new column 'max_bin_cout' in each row.
# it also calculates the total checkouts for each country overall and appends
# that to each row in the new column 'tot_country_cout'

import numpy as np
import csv

# read csv file into array
#path = '/Users/kimberly/Documents/MAT259/Project_1/project1_test5/data/'
rf = 'data/q3_country_dewey_yr.csv'
hf = 'data/q3_countries.csv'
wfmax = 'data/q3_cdy_maxbins.csv'
wftot = 'data/q3_cdy_totcout.csv'
cdy_array = np.genfromtxt(rf, delimiter=",", skip_header=1)
cdy_header = np.genfromtxt(hf, dtype="str", delimiter=",")

# calculate unique deweyBin values
deweyBinVals = np.unique(cdy_array[:,1])

# calculate max cout for each value of (deweyBin, country)
# AND calculate total cout for each country
max_array = np.zeros(cdy_array.shape)
max_array[:,0:2] = cdy_array[:,0:2]
tot_array = np.zeros((1,cdy_array.shape[1]))
for col in range(2,cdy_array.shape[1]): # all country columns
    print(col)
    tot_array[:,col] = sum(cdy_array[:,col])
    for db in deweyBinVals:             # unique deweyBins
        print(db)
        print(cdy_array[np.where(cdy_array[:,1]==db),col])
        max_array[np.where(cdy_array[:,1]==db),col] = max(max(cdy_array[
            np.where(cdy_array[:,1]==db),col]))

# write new arrays to csv files
np.savetxt(wfmax,max_array,fmt="%1u",delimiter=",",
           header='year(cout),deweyBin,Mexico,Ireland,Spain,Israel,Egypt,' +
                  'Vietnam,Germany,Russia,China,Cuba,Iraq,Japan')
np.savetxt(wftot,tot_array[:,2:],fmt="%1u",delimiter=",")
